Bug 256965 - math/lapack: Fails to fetch manpages 3.10.0
Summary: math/lapack: Fails to fetch manpages 3.10.0
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-fortran (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-04 07:37 UTC by gja822
Modified: 2021-08-29 19:35 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (fortran)
koobs: maintainer-feedback? (gja822)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gja822 2021-07-04 07:37:13 UTC
Trying to update math/lapack from 3.9.1 to 3.10.0 gives this error.

=> Attempting to fetch http://www.netlib.org/lapack/manpages.tgz
fetch: transfer timed out
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz
fetch: http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/lapack-3.10.0 and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/math/lapack

Is it O.K. that it is not found even on distcache.FreeBSD.org?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-04 07:45:45 UTC
Testing manually results in successfully fetching the man page distfiles on both http and https schemes.

@Reporter Are you able to test and isolate whether this is a transient issue, or also affects other ports. If so, it's likely a local issue.

Try fetching (fetch or curl) the distfile manually
Comment 2 gja822 2021-07-04 11:59:55 UTC
(In reply to Kubilay Kocak from comment #1)
Tried for two days. No luck with both addresses (netlib.org and distcache.freebsd.org). More than that, you can see that netlib is unreachable, and from distcache it is not found.
Different errors.
Other ports are building. Not sure if they fetched from distcache.
Comment 3 Thierry Thomas freebsd_committer 2021-07-04 15:49:31 UTC
Just trying

# make distclean
===>  Cleaning for lapack-3.10.0
===>  Deleting distfiles for lapack-3.10.0
# make fetch
===>  License BSD3CLAUSE accepted by the user
===>   lapack-3.10.0 depends on file: /usr/local/sbin/pkg - found
=> v3.10.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/lapack-3.10.0.
=> Attempting to fetch https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz
fetch: https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz: size unknown
fetch: https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz: size of remote file is not known
v3.10.0.tar.gz                                        7451 kB 6669 kBps    01s
=> manpages.tgz doesn't seem to exist in /usr/ports/distfiles/lapack-3.10.0.
=> Attempting to fetch http://www.netlib.org/lapack/manpages.tgz
manpages.tgz                                          2389 kB 2071 kBps    01s
===> Fetching all distfiles required by lapack-3.10.0 for building


Could you please report the output of
$ fetch -v "http://www.netlib.org/lapack/manpages.tgz"
Comment 4 gja822 2021-07-04 17:48:50 UTC
(In reply to Thierry Thomas from comment #3)

I'm not sure if this is a regional filtering. I am from Russia, unfortunately. And I'm totally unsure that it is O.K. to have "not found" on distcache.FreeBSD.org servers.

yury@94:/usr/ports/math/lapack# make distclean
===>  Cleaning for lapack-3.10.0
===>  Deleting distfiles for lapack-3.10.0
yury@94:/usr/ports/math/lapack# fetch -v "http://www.netlib.org/lapack/manpages.tgz"
resolving server address: www.netlib.org:80
requesting http://www.netlib.org/lapack/manpages.tgz
fetch: transfer timed out
yury@94:/usr/ports/math/lapack# make fetch
===>  License BSD3CLAUSE accepted by the user
===>   lapack-3.10.0 depends on file: /usr/local/sbin/pkg - found
=> v3.10.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/lapack-3.10.0.
=> Attempting to fetch https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz
fetch: https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz: size unknown
fetch: https://github.com/Reference-LAPACK/lapack/archive/refs/tags/v3.10.0.tar.gz: size of remote file is not known
v3.10.0.tar.gz                                        7451 kB 1080 kBps    07s
=> manpages.tgz doesn't seem to exist in /usr/ports/distfiles/lapack-3.10.0.
=> Attempting to fetch http://www.netlib.org/lapack/manpages.tgz
fetch: transfer timed out
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz
fetch: http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/lapack-3.10.0 and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/math/lapack

yury@94:/usr/ports/math/lapack# fetch -v http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz
resolving server address: distcache.freebsd.org:80
requesting http://distcache.freebsd.org/ports-distfiles/lapack-3.10.0/manpages.tgz

404 Not Found

404 Not Found
nginx


fetch: http://distcache.FreeBSD.org/ports-distfiles/lapack-3.10.0/manpages.tgz: Not Found

$ ping -c4 www.netlib.org
PING netlib.org (160.36.131.221): 56 data bytes

--- netlib.org ping statistics ---
4 packets transmitted, 0 packets received, 100.0% packet loss
Comment 5 Thierry Thomas freebsd_committer 2021-07-04 19:58:41 UTC
I guess that the problem on distcache.FreeBSD.org is a matter of time, they should be refreshed quickly.

I do not know the cause of the failure from netlib, but I have added a mirror for this file. May be wait for 1 or 2 hours, and let me know if this is fixed.
Comment 6 commit-hook freebsd_committer 2021-07-04 19:59:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6015b2965945c7a6ba8b6f5bef3706d57745e84b

commit 6015b2965945c7a6ba8b6f5bef3706d57745e84b
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-07-04 19:50:06 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-07-04 19:52:44 +0000

    math/lapack: make the manpages fetchable from everywhere

    Host the manpages, because they seem unfetchable from some locations.

    PR:             256965
    Reported by:    gja822 (at) narod.ru

 math/lapack/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 7 Max Brazhnikov freebsd_committer 2021-07-04 21:55:55 UTC
(In reply to commit-hook from comment #6)
It's not accessible via http, but works fine with https:

~> fetch -sv https://www.netlib.org/lapack/manpages.tgz
resolving server address: www.netlib.org:443
SSL options: 82004854
Peer verification enabled
Using CA cert file: /usr/local/etc/ssl/cert.pem
Verify hostname
TLSv1.2 connection established using ECDHE-RSA-AES128-GCM-SHA256
Certificate subject: /CN=exascale.org
Certificate issuer: /C=US/O=Let's Encrypt/CN=R3
requesting https://www.netlib.org/lapack/manpages.tgz
2446510
~> fetch -sv http://www.netlib.org/lapack/manpages.tgz 
resolving server address: www.netlib.org:80
requesting http://www.netlib.org/lapack/manpages.tgz
^Cfetch: transfer interrupted
Comment 8 gja822 2021-07-05 04:34:45 UTC
(In reply to Thierry Thomas from comment #5)

Yes, now distcache is working.

yury@94:/usr/ports/math/lapack# make fetch
===>  License BSD3CLAUSE accepted by the user
===>   lapack-3.10.0 depends on file: /usr/local/sbin/pkg - found
=> manpages.tgz doesn't seem to exist in /usr/ports/distfiles/lapack-3.10.0.
=> Attempting to fetch http://www.netlib.org/lapack/manpages.tgz
fetch: transfer timed out
=> Attempting to fetch http://distcache.FreeBSD.org/local-distfiles/thierry/lapack-3.10.0/manpages.tgz
manpages.tgz                                          2389 kB 1654 kBps    01s
===> Fetching all distfiles required by lapack-3.10.0 for building

(And as it was found out by  Max Brazhnikov, https addresses to netlib.org work too.)
Comment 9 Robert Clausecker 2021-07-08 08:25:01 UTC
(In reply to Thierry Thomas from comment #5)

Another problem with the man pages is that apart from not always being fetchable, this is an unversioned distfile which is frequently updated by upstream, causing the port to break.  If you mirror the distfile, make sure to use a versioned file name and pull a fresh copy every time the port is updated.
Comment 10 gja822 2021-08-29 18:17:35 UTC
I get a reminder to answer, but I do not know what. I've already said that "Yes, now distcache is working."
Comment 11 Robert Clausecker 2021-08-29 19:35:33 UTC
(In reply to gja822 from comment #10)

You can mark *Status* as Closed -> Fixed.  But as I said, this problem will recur in short order because upstream will update the manpages tar ball again some time soon.